List videos
GET/videos
List recently generated videos for the current project.
Query Parameters
after: optional string
Identifier for the last item from the previous pagination request
limit: optional number
Number of items to retrieve
minimum0
maximum100
Returns
first_id: string
The ID of the first item in the list.
has_more: boolean
Whether there are more items available.
last_id: string
The ID of the last item in the list.
object: "list"
The type of object returned, must be list.
List videos
curl https://api.openai.com/v1/videos \
-H "Authorization: Bearer $OPENAI_API_KEY"
{
"data": [
{
"id": "video_123",
"object": "video",
"model": "sora-2",
"status": "completed"
}
],
"object": "list"
}
Returns Examples
{
"data": [
{
"id": "video_123",
"object": "video",
"model": "sora-2",
"status": "completed"
}
],
"object": "list"
}